---
Checks:          'clang-diagnostic-*,clang-analyzer-*,modernize-*,readability-identifier-naming'
WarningsAsErrors: '*'
HeaderFilterRegex: '../include/*/*.hpp'
AnalyzeTemporaryDtors: false
FormatStyle:     none
User:            andrija
CheckOptions:
  - key:             llvm-else-after-return.WarnOnConditionVariables
    value:           '0'
  - key:             modernize-loop-convert.MinConfidence
    value:           reasonable
  - key:             modernize-replace-auto-ptr.IncludeStyle
    value:           llvm
  - key:             cert-str34-c.DiagnoseSignedUnsignedCharComparisons
    value:           '0'
  - key:             google-readability-namespace-comments.ShortNamespaceLines
    value:           '10'
  - key:             cert-oop54-cpp.WarnOnlyIfThisHasSuspiciousField
    value:           '0'
  - key:             cppcoreguidelines-non-private-member-variables-in-classes.IgnoreClassesWithAllMemberVariablesBeingPublic
    value:           '1'
  - key:             cert-dcl16-c.NewSuffixes
    value:           'L;LL;LU;LLU'
  - key:             google-readability-braces-around-statements.ShortStatementLines
    value:           '1'
  - key:             modernize-pass-by-value.IncludeStyle
    value:           llvm
  - key:             google-readability-namespace-comments.SpacesBeforeComments
    value:           '2'
  - key:             modernize-loop-convert.MaxCopySize
    value:           '16'
  - key:             cppcoreguidelines-explicit-virtual-functions.IgnoreDestructors
    value:           '1'
  - key:             modernize-use-nullptr.NullMacros
    value:           'NULL'
  - key:             llvm-qualified-auto.AddConstToQualified
    value:           '0'
  - key:             modernize-loop-convert.NamingStyle
    value:           CamelCase
  - key:             llvm-else-after-return.WarnOnUnfixable
    value:           '0'
  - key:             google-readability-function-size.StatementThreshold
    value:           '800'
  - key:             readability-identifier-naming.NamespaceCase
    value:           lower_case 
  - key:             readability-identifier-naming.ClassCase
    value:           CamelCase  
  - key:             readability-identifier-naming.PrivateMemberPrefix
    value:           m         
  - key:             readability-identifier-naming.StaticVariablePrefix
    value:           s
  - key:             readability-identifier-naming.StructCase         
    value:           CamelCase  
  - key:             readability-identifier-naming.ClassMethodCase
    value:           CamelCase
  - key:             readability-identifier-naming.ClassMemberCase
    value:           camelBack
  - key:             readability-identifier-naming.VariableCase        
    value:           lower_case 
  - key:             readability-identifier-naming.GlobalConstantCase
    value:           UPPER_CASE 
...

